Name:          osgi-resource-locator
Version:       1.0.1
Release:       %mkrel 6
Group:         Development/Java
Summary:       OSGi resource locator bundle
License:       CDDL or GPLv2 with exceptions
Url:           http://hk2.java.net/
# svn export https://svn.java.net/svn/hk2~svn/tags/osgi-resource-locator-1.0.1
# tar czf osgi-resource-locator-1.0.1-src-svn.tar.gz osgi-resource-locator-1.0.1
Source0:       %{name}-%{version}-src-svn.tar.gz
# wget -O glassfish-LICENSE.txt https://svn.java.net/svn/glassfish~svn/tags/legal-1.1/src/main/resources/META-INF/LICENSE.txt
# glassfish-master-pom package don't include the license file
Source1:       glassfish-LICENSE.txt

BuildRequires: java-devel

BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core
BuildRequires: glassfish-master-pom

BuildRequires: maven-local
BuildRequires: maven-plugin-bundle

BuildArch:     noarch

%description
OSGi resource locator bundle - used by various API providers that
rely on META-INF/services mechanism to locate providers.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
cp -p %{SOURCE1} LICENSE.txt
sed -i 's/\r//' LICENSE.txt

%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId ='maven-jar-plugin']" "<version>2.4</version>"

%build

%mvn_file :%{name} %{name}
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-6.mga5
+ Revision: 744873
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon May 26 2014 dmorgan <dmorgan> 1.0.1-4.mga5
+ Revision: 626754
- Build with xmvn

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 508776
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 362221
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 20 2012 gil <gil> 1.0.1-1.mga3
+ Revision: 262147
- imported package osgi-resource-locator

